Package org.eclipse.ui.views.navigator

# Class SortAndFilterActionGroup

java.lang.Object
org.eclipse.ui.actions.ActionGroup
org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
org.eclipse.ui.views.navigator.SortAndFilterActionGroup

@Deprecated(forRemoval=true) public class SortAndFilterActionGroup extends ResourceNavigatorActionGroup
Deprecated, for removal: This API element is subject to removal in a future version.
as of 3.5, use the Common Navigator Framework classes instead
This is the action group for the sort and filter actions.

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be referenced by clients. Planned to be deleted, please see Bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=549953
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

### Fields inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup

`navigator`

## Constructor Summary

Constructors
Constructor
Description
`SortAndFilterActionGroup(IResourceNavigator navigator)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`fillActionBars(IActionBars actionBars)`
Deprecated, for removal: This API element is subject to removal in a future version.
Adds the applicable actions to a part's action bars, including setting any global action handlers.
`protected void`
`makeActions()`
Deprecated, for removal: This API element is subject to removal in a future version.
Makes the actions contained in this action group.
`void`
`updateActionBars()`
Deprecated, for removal: This API element is subject to removal in a future version.
Updates the state of the actions added to the action bars, including any global action handlers, based on the state of the `ActionContext`.

### Methods inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup

`getImageDescriptor, getNavigator, handleKeyPressed, runDefaultAction`

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`dispose, fillContextMenu, getContext, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SortAndFilterActionGroup

public SortAndFilterActionGroup(IResourceNavigator navigator)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

Parameters:
  `navigator` - the resource navigator

## Method Details

### makeActions

protected void makeActions()
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from class: `ResourceNavigatorActionGroup`
Makes the actions contained in this action group.

Specified by:
  `makeActions` in class `ResourceNavigatorActionGroup`

### fillActionBars

public void fillActionBars(IActionBars actionBars)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from class: `ActionGroup`
Adds the applicable actions to a part's action bars, including setting any global action handlers.

The default implementation does nothing. Subclasses may override or extend this method.

Overrides:
  `fillActionBars` in class `ActionGroup`
Parameters:
  `actionBars` - the part's action bars

### updateActionBars

public void updateActionBars()
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from class: `ActionGroup`
Updates the state of the actions added to the action bars, including any global action handlers, based on the state of the `ActionContext`.

The default implementation does nothing. Subclasses may override or extend this method.

Overrides:
  `updateActionBars` in class `ActionGroup`